Bug 589437 - F13 Installation does not detect Storage device
F13 Installation does not detect Storage device
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
x86_64 All
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 03:21 EDT by IBM Bug Proxy
Modified: 2011-08-24 15:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-24 15:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Storage not detected screenshot (24.39 KB, image/png)
2010-05-06 03:22 EDT, IBM Bug Proxy
no flags Details
Storgae not detected Screenshot 2 (26.73 KB, image/png)
2010-05-06 03:22 EDT, IBM Bug Proxy
no flags Details
Screenshot for tty03 (109.27 KB, image/jpeg)
2010-05-06 03:22 EDT, IBM Bug Proxy
no flags Details
Screenshot for tty04 (118.59 KB, image/jpeg)
2010-05-06 03:22 EDT, IBM Bug Proxy
no flags Details
Screenshot for tty05 (66.12 KB, image/jpeg)
2010-05-06 03:22 EDT, IBM Bug Proxy
no flags Details
All logs (anaconda+system+X,etc) (23.53 KB, application/x-compressed-tar)
2010-05-06 03:22 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 62167 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-05-06 03:21:58 EDT
=Comment: #0=================================================
SUBRATA MODAK <Subrata Modak <subrata@linux.vnet.ibm.com>> - 

Storage not detected screenshot

Platform: x86_64,
Model: 8849J2A,
Serial No: '99E2441,
Hostname: x306m.in.ibm.com,

F13 Alpha Installation does not detect Storage device on this machine. The machine has already
SLES11 installed on it. F13 installation was achieved by making an entry in /boot/grub/menu.lst as
follows:

###Don't change this comment - YaST2 identifier: Original name: failsafe###
title Failsafe -- SUSE Linux Enterprise Server 11 - 2.6.27.19-5
    root (hd0,1)
    kernel /vmlinuz-2.6.27.19-5-default
root=/dev/disk/by-id/scsi-SATA_WDC_WD800ABJS-2_WD-WMAM9KY17933-part3 showopts ide=nodma apm=off
noresume edd=off powersaved=off nohz=off highres=off processor.max_cstate=1 x11failsafe
    initrd /initrd-2.6.27.19-5-default
title F13 X86_64 Alpha Installation
    root (hd0,1)
    kernel /vmlinuz-F13ALPHA_x86_64-Install
root=/dev/disk/by-id/scsi-SATA_WDC_WD800ABJS-2_WD-WMAM9KY17933-part3
resume=/dev/disk/by-id/scsi-SATA_WDC_WD800ABJS-2_WD-WMAM9KY17933-part3 crashkernel=128M-:64M@16M
resume=/dev/disk/by-id/scsi-SATA_WDC_WD800ABJS-2_WD-WMAM9KY17933-part1 splash=silent showopts vnc
askmethod
    initrd /initrd.img-F13ALPHA_x86_64-Install

While booted in SLES11, the machine shows the following information:

x306m:~ # uname -a
Linux x306m 2.6.27.19-5-default #1 SMP 2009-02-28 04:40:21 +0100 x86_64 x86_64 x86_64 GNU/Linux
x306m:~ # fdisk -l

Disk /dev/sda: 80.0 GB, 80032038912 bytes
255 heads, 63 sectors/track, 9730 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x8b047782

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               2         262     2096482+  82  Linux swap / Solaris
/dev/sda2   *         263         653     3140707+  83  Linux
/dev/sda3             654        2611    15727635   83  Linux
/dev/sda4            2612        9730    57183367+  8e  Linux LVM

However, once the machine is rebooted with the installation kernel, after the initial stages, the
machine does not detect the storage at all. Attached screenshots shows the actual scenarios.

Regards--
Subrata
=Comment: #1=================================================
SUBRATA MODAK <Subrata Modak <subrata@linux.vnet.ibm.com>> - 

Storgae not detected Screenshot 2


=Comment: #2=================================================
SUBRATA MODAK <Subrata Modak <subrata@linux.vnet.ibm.com>> - 
This issue exists with F13 Rawhide available at:
http://software.linux.ibm.com/pub/mirrors/fedora.redhat.com/development/13/x86_64/os/,
And yes, the F13-Alpha and the F13-Rawhide kernels are different.

Regards--
Subrata

=Comment: #4=================================================
SUBRATA MODAK <Subrata Modak <subrata@linux.vnet.ibm.com>> - 

Screenshot for tty03

This is still reproducible on F13 Beta. I am attaching the screenshots of tty03, tty04 & tty05. And
also the various logs found at /tmp/ during installation.

Regards--
Subrata

=Comment: #5=================================================
SUBRATA MODAK <Subrata Modak <subrata@linux.vnet.ibm.com>> - 

Screenshot for tty04


=Comment: #6=================================================
SUBRATA MODAK <Subrata Modak <subrata@linux.vnet.ibm.com>> - 

Screenshot for tty05


=Comment: #7=================================================
SUBRATA MODAK <Subrata Modak <subrata@linux.vnet.ibm.com>> - 

All logs (anaconda+system+X,etc)
Comment 1 IBM Bug Proxy 2010-05-06 03:22:07 EDT
Created attachment 411851 [details]
Storage not detected screenshot
Comment 2 IBM Bug Proxy 2010-05-06 03:22:14 EDT
Created attachment 411852 [details]
Storgae not detected Screenshot 2
Comment 3 IBM Bug Proxy 2010-05-06 03:22:22 EDT
Created attachment 411853 [details]
Screenshot for tty03
Comment 4 IBM Bug Proxy 2010-05-06 03:22:29 EDT
Created attachment 411854 [details]
Screenshot for tty04
Comment 5 IBM Bug Proxy 2010-05-06 03:22:36 EDT
Created attachment 411855 [details]
Screenshot for tty05
Comment 6 IBM Bug Proxy 2010-05-06 03:22:43 EDT
Created attachment 411856 [details]
All logs (anaconda+system+X,etc)
Comment 7 Chris Lumens 2010-05-06 09:40:53 EDT
Your syslog shows nothing storage-related.
Comment 8 IBM Bug Proxy 2010-05-09 12:12:11 EDT
------- Comment From Subrata Modak subrata@linux.vnet.ibm.com 2010-05-09 12:02 EDT-------
That is the same thing i am also worried about, why is storage not detected ?
Comment 9 IBM Bug Proxy 2010-06-16 13:05:41 EDT
------- Comment From edpollar@linux.ibm.com 2010-06-16 12:02 EDT-------
reassigning QA...
Comment 10 Bug Zapper 2010-07-30 07:33:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Chuck Ebbert 2010-08-23 02:13:03 EDT
Your bug report does not really provide any useful information.

For example, the below information does not show anything other than that some unknown kind of 80.0 GB storage device is present:

> While booted in SLES11, the machine shows the following information:
>
> x306m:~ # uname -a
> Linux x306m 2.6.27.19-5-default #1 SMP 2009-02-28 04:40:21 +0100 x86_64 x86_64
> x86_64 GNU/Linux
> x306m:~ # fdisk -l
>
> Disk /dev/sda: 80.0 GB, 80032038912 bytes
> 255 heads, 63 sectors/track, 9730 cylinders
> Units = cylinders of 16065 * 512 = 8225280 bytes
> Disk identifier: 0x8b047782
>
>    Device Boot      Start         End      Blocks   Id  System
> /dev/sda1               2         262     2096482+  82  Linux swap / Solaris
> /dev/sda2   *         263         653     3140707+  83  Linux
> /dev/sda3             654        2611    15727635   83  Linux
> /dev/sda4            2612        9730    57183367+  8e  Linux LVM

Please provide the entire contents of the boot messages from booting that operating system (as a plain-text attachment, not in the comments box.)

Also provide the output of the command "lspci -vnn" to show what devices are present, as a separate attachment.
Comment 12 Josh Boyer 2011-08-24 15:24:44 EDT
No comment in a year, F13 is EOL already.

Note You need to log in before you can comment on or make changes to this bug.